import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/elenadreo/a173181a9124cafd0a852ffbfde6c968/raw/8ab027ee84786ac3b5488d1b48458341816e1baa/worldcities_clean_sorted.csv';

const row = d => {
  d.lat = +d.lat;
  d.lng = +d.lng;
  d.population = +d.population;
  d.country = +d.country;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
